/* ButtonAction.java
 *
 * Jim McBeath, June 7, 1998
 */

package jimmc.roots;

import javax.swing.JButton;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/** An adapter class to simplify defining buttons.
 */
public class ButtonAction extends JButton implements ActionListener {
	/** Create a button. */
	public ButtonAction(String label) {
		super(label);
		addActionListener(this);
	}

	/** Here on an action event. */
	public void actionPerformed(ActionEvent ev) {
		action();
	}

	/** The default action for this button.
	 * The subclass usually overrides this method.
	 */
	public void action() {
		/* do nothing */
	}
}

/* end */
