/* CheckBoxAction.java
 *
 * Jim McBeath, June 9, 1998
 */

package jimmc.roots;

import javax.swing.JCheckBox;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/** An adapter class to simplify defining checkboxes with actions.
 */
public class CheckBoxAction extends JCheckBox implements ActionListener {
	/** Create a button. */
	public CheckBoxAction(String label) {
		super(label);
		addActionListener(this);
	}

	/** Here on an action event. */
	public void actionPerformed(ActionEvent ev) {
		action();
	}

	/** The default action for this button.
	 * The subclass usually overrides this method.
	 */
	public void action() {
		/* do nothing */
	}
}

/* end */
