/* ComboBoxAction.java
 *
 * Jim McBeath, June 9, 1998
 */

package jimmc.roots;

import javax.swing.JComboBox;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/** An adapter class to simplify defining ComboBoxes with actions.
 */
public class ComboBoxAction extends JComboBox implements ActionListener {
	/** Create a button. */
	public ComboBoxAction() {
		super();
		addActionListener(this);
	}

	/** Get the currently selected string. */
	public String getSelectedString() {
		return (String)getSelectedItem();
	}

	/** Here on an action event. */
	public void actionPerformed(ActionEvent ev) {
		action();
	}

	/** The default action for this button.
	 * The subclass usually overrides this method.
	 */
	public void action() {
		/* do nothing */
	}
}

/* end */
