/* PrintListBlank.java
 *
 * Jim McBeath, January 26, 1997
 */

package jimmc.roots;

/** Print a list of records with a blank line between each one. */
class PrintListBlank extends PrintFormat {
	public PrintListBlank(CommandInterpreter ci){super(ci);}
	public String getName() {
		return "listBlank";
	}
	/** Print the specified records in NCV format.
	 * @param ra list of record to print
	 */
	public void printRecords(PrintOptions po, RootsRecord ra[]) {
		RecordFormat rf = po.recordFormat;
		for (int i=0; i<ra.length; i++) {
			if (i>0)
				ra[i].println("");	/* blank line */
			ra[i].println(rf.formatRecord(po,ra[i]));
		}
	}
}

/* end */
