/* ScrolledLayoutWithPopup.java
 *
 * Jim McBeath, July 18, 1998
 */

package jimmc.roots;

import jimmc.treepar.Layout;
import jimmc.treepar.LayoutPanel;

import java.awt.Component;
import java.awt.Dimension;
import java.awt.PopupMenu;

/** A ScrolledPane containing a LayoutPanel with a popup menu.
 */
public class ScrolledLayoutWithPopup extends ScrolledLayout
			implements TextPopupListener {
	/** Create the ScrolledLayout. */
	public ScrolledLayoutWithPopup(int width, int height) {
		super(width,height);
	}

	/** Create the text area with the popup. */
	protected LayoutPanel createLayoutPanel() {
		LayoutPopup outputLayoutPopup = createLayoutPopup();
		add(outputLayoutPopup);
		LayoutPanel a = new LayoutPanelWithPopup(outputLayoutPopup) {
			public Dimension getPreferredSize() {
				setFixedFont();
				return super.getPreferredSize();
			}
			protected void showPopupMenu(PopupMenu p, Component c,
						int x, int y) {
				LayoutPopup tp = (LayoutPopup)p;
				tp.setRecord(this,x,y);
				super.showPopupMenu(p,c,x,y);
			}
		};
		return a;
	}
	
	/** Create the LayoutPopup menu.
	 * Subclass can override in order to create a subclass of LayoutPopup.
	 */
	protected LayoutPopup createLayoutPopup() {
		return new LayoutPopup(this);
	}

	/** Process the select command from the popup.
	 * Subclass should override.
	 */
	public void processSelect(String key) {
		/* do nothing. */
	}
}

/* end */
