/* TextAction.java
 *
 * Jim McBeath, June 7, 1998
 */

package jimmc.roots;

import javax.swing.JTextField;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/** TextAction is an adapter class that simplifies attaching actions to
 * text fields.
 */
public class TextAction extends JTextField implements ActionListener {
	/** Create a text field with the specified size. */
	public TextAction(int width) {
		super(width);
		addActionListener(this);
	}

	/** Process the action. */
	public void actionPerformed(ActionEvent ev) {
		action();
	}

	/** The action.
	 * The subclass should override.
	 */
	public void action() {
		/* do nothing */
	}
}

/* end */
